Bug 13147 - Installer tracebacks w/ beta2
Installer tracebacks w/ beta2
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-06-27 23:57 EDT by lars
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-12 19:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lars 2000-06-27 23:57:52 EDT
I'm trying to install beta2 from CD (the CDs that shipped from RedHat), and
using either the graphical installer or the text-mode installer I run into
a traceback just before package installation starts:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 423, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1002, in run
    rc = apply (step[1](), step[2])
  File "/usr/lib/anaconda/text.py", line 487, in __call__
    if todo.doInstall ():
  File "/usr/lib/anaconda/todo.py", line 1321, in doInstall
    self.fstab.makeFilesystems ()
  File "/usr/lib/anaconda/fstab.py", line 534, in makeFilesystems
    for label in self.readLabels(labelSkipList).values():
  File "/usr/lib/anaconda/fstab.py", line 478, in readLabels
NameError: next

On this system there is one floppy, no IDE disks, and the following SCSI

  sda is a 1GB hard disk,
  sdb is a zip drive (no disk in drive),
  and there is a SCSI CDROM.

The install target is sda, and the partition map looks like this:

sda1 * 1 754 772080 83 Linux
sda2   755 1010 262144 5 Extended
sda5   755 1010 262128 82 Linux swap

This partition table was created using Disk Druid.
Comment 1 Michael Fulbright 2000-07-05 13:08:16 EDT
Passed to test lab to attempt to recreate.
Comment 2 Matt Wilson 2000-07-12 19:05:49 EDT
Fixed in beta3

Note You need to log in before you can comment on or make changes to this bug.